Skip to main content
GET
/
api
/
agent
/
assessment-configs
/
{id}
Fetch an assessment config with questions
curl --request GET \
  --url https://app.auditynow.com/api/agent/assessment-configs/{id} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "isTemplate": true,
    "questionOrder": [
      "<string>"
    ],
    "questionCount": 123,
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "questions": [
      {
        "id": "<string>",
        "questionText": "<string>",
        "questionType": "<string>",
        "sortOrder": 123,
        "isRequired": true
      }
    ],
    "name": "<string>",
    "hiddenQuestions": [
      "<string>"
    ],
    "scoringWeights": {},
    "defaultQuestionOverrides": {}
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.auditynow.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

A Personal Access Token issued from https://app.auditynow.com/dashboard/settings/api-tokens. Format: aky_<32 random chars>.

Path Parameters

id
string<uuid>
required

The assessment config's UUID.

Response

Assessment config detail

data
object
required

An assessment configuration defining which questions are asked and how they are scored.